You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cxf.apache.org by mm...@apache.org on 2007/12/13 09:17:27 UTC

svn commit: r603851 - in /incubator/cxf/trunk: distribution/src/main/release/bin/java2js tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java

Author: mmao
Date: Thu Dec 13 00:17:27 2007
New Revision: 603851

URL: http://svn.apache.org/viewvc?rev=603851&view=rev
Log:
CXF-1280
 Fix the scripts


Modified:
    incubator/cxf/trunk/distribution/src/main/release/bin/java2js
    incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java
    incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java

Modified: incubator/cxf/trunk/distribution/src/main/release/bin/java2js
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/src/main/release/bin/java2js?rev=603851&r1=603850&r2=603851&view=diff
==============================================================================
--- incubator/cxf/trunk/distribution/src/main/release/bin/java2js (original)
+++ incubator/cxf/trunk/distribution/src/main/release/bin/java2js Thu Dec 13 00:17:27 2007
@@ -1,96 +1,96 @@
-#
-#
-#    Licensed to the Apache Software Foundation (ASF) under one
-#    or more contributor license agreements. See the NOTICE file
-#    distributed with this work for additional information
-#    regarding copyright ownership. The ASF licenses this file
-#    to you under the Apache License, Version 2.0 (the
-#    "License"); you may not use this file except in compliance
-#    with the License. You may obtain a copy of the License at
-#
-#    http://www.apache.org/licenses/LICENSE-2.0
-#
-#    Unless required by applicable law or agreed to in writing,
-#    software distributed under the License is distributed on an
-#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-#    KIND, either express or implied. See the License for the
-#    specific language governing permissions and limitations
-#    under the License.
-#
-#
-#!/bin/sh
-# run the CXF java2ws tool 
-#
-
-# Check for irritating 'operating systems'.
-cygwin=false;
-darwin=false;
-case "`uname`" in
-  CYGWIN*) cygwin=true ;;
-  Darwin*) darwin=true
-           if [ -z "$JAVA_HOME" ] ; then
-             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
-           fi
-           ;;
-esac
-
-
-me=`basename $0`
-cxf_home=$CXF_HOME
-if [ ! -f  $cxf_home/lib/cxf-manifest-incubator.jar ]; then
-    cxf_home=`dirname $0`/..
-fi
-                                                                                                                                                             
-cxf_jar=$cxf_home/lib/cxf-manifest-incubator.jar
-
-
-if [ ! -f $cxf_jar ]; then 
-    if [ ! -f ${cxf_home}/../../target/srcbuild_env ]; then
-        echo "ERROR: Unable to find cxf-manifest-incubator.jar in $cxf_home/lib"
-        exit 1
-    else
-        . ${cxf_home}/../../target/srcbuild_env
-        cxf_jar=${CXF_CLASSPATH}
-    fi
-fi 
-
-#
-# add the jdk's tools.jar to the classpath
-#
-
-sun_tool_path=""
-if [ $darwin == false ]; then
-    sun_tool_path=${JAVA_HOME}/lib/tools.jar
-    if [ ! -f $sun_tool_path ]; then
-	echo "ERROR: Set JAVA_HOME to the path where the J2SE 5.0 (JDK5.0) is installed"
-	exit 1
-    fi
-fi 
-
-log_config=$cxf_home/etc/logging.properties 
-
-
-# For Cygwin, switch paths to appropriate format before running java
-# For PATHs convert to unix format first, then to windows format to ensure
-# both formats are supported. Probably this will fail on directories with ;
-# in the name in the path. Let's assume that paths containing ; are more
-# rare than windows style paths on cygwin.
-if $cygwin; then
-  if [ "$OS" = "Windows_NT" ] && cygpath -m .>/dev/null 2>/dev/null ; then
-    format=mixed
-  else
-    format=windows
-  fi
-  cxf_classpath=`cygpath --$format "${cxf_jar}"`
-  if [ ! -z "${CLASSPATH}" ]; then
-    cxf_classpath=${cxf_classpath}\;`cygpath --$format --path "${CLASSPATH}"`
-  fi
-  if [ ! -z "${sun_tool_path}" ] ; then
-    cxf_classpath=${cxf_classpath}\;`cygpath --$format "${sun_tool_path}"`
-  fi
-  log_config=`cygpath --$format "$log_config"`
-else
-  cxf_classpath=${cxf_jar}:${CLASSPATH}:${sun_tool_path}
-fi
-
-$JAVA_HOME/bin/java -cp ${cxf_classpath} -Djava.util.logging.config.file=$log_config org.apache.cxf.tools.java2js.JavaToJS "$@"
+#
+#
+#    Licensed to the Apache Software Foundation (ASF) under one
+#    or more contributor license agreements. See the NOTICE file
+#    distributed with this work for additional information
+#    regarding copyright ownership. The ASF licenses this file
+#    to you under the Apache License, Version 2.0 (the
+#    "License"); you may not use this file except in compliance
+#    with the License. You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing,
+#    software distributed under the License is distributed on an
+#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#    KIND, either express or implied. See the License for the
+#    specific language governing permissions and limitations
+#    under the License.
+#
+#
+#!/bin/sh
+# run the CXF java2js tool 
+#
+
+# Check for irritating 'operating systems'.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
+           fi
+           ;;
+esac
+
+
+me=`basename $0`
+cxf_home=$CXF_HOME
+if [ ! -f  $cxf_home/lib/cxf-manifest-incubator.jar ]; then
+    cxf_home=`dirname $0`/..
+fi
+                                                                                                                                                             
+cxf_jar=$cxf_home/lib/cxf-manifest-incubator.jar
+
+
+if [ ! -f $cxf_jar ]; then 
+    if [ ! -f ${cxf_home}/../../target/srcbuild_env ]; then
+        echo "ERROR: Unable to find cxf-manifest-incubator.jar in $cxf_home/lib"
+        exit 1
+    else
+        . ${cxf_home}/../../target/srcbuild_env
+        cxf_jar=${CXF_CLASSPATH}
+    fi
+fi 
+
+#
+# add the jdk's tools.jar to the classpath
+#
+
+sun_tool_path=""
+if [ $darwin == false ]; then
+    sun_tool_path=${JAVA_HOME}/lib/tools.jar
+    if [ ! -f $sun_tool_path ]; then
+	echo "ERROR: Set JAVA_HOME to the path where the J2SE 5.0 (JDK5.0) is installed"
+	exit 1
+    fi
+fi 
+
+log_config=$cxf_home/etc/logging.properties 
+
+
+# For Cygwin, switch paths to appropriate format before running java
+# For PATHs convert to unix format first, then to windows format to ensure
+# both formats are supported. Probably this will fail on directories with ;
+# in the name in the path. Let's assume that paths containing ; are more
+# rare than windows style paths on cygwin.
+if $cygwin; then
+  if [ "$OS" = "Windows_NT" ] && cygpath -m .>/dev/null 2>/dev/null ; then
+    format=mixed
+  else
+    format=windows
+  fi
+  cxf_classpath=`cygpath --$format "${cxf_jar}"`
+  if [ ! -z "${CLASSPATH}" ]; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format --path "${CLASSPATH}"`
+  fi
+  if [ ! -z "${sun_tool_path}" ] ; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format "${sun_tool_path}"`
+  fi
+  log_config=`cygpath --$format "$log_config"`
+else
+  cxf_classpath=${cxf_jar}:${CLASSPATH}:${sun_tool_path}
+fi
+
+$JAVA_HOME/bin/java -cp ${cxf_classpath} -Djava.util.logging.config.file=$log_config org.apache.cxf.tools.java2js.JavaToJS "$@"

Modified: incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java?rev=603851&r1=603850&r2=603851&view=diff
==============================================================================
--- incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java (original)
+++ incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2js/JavaToJS.java Thu Dec 13 00:17:27 2007
@@ -43,7 +43,6 @@
     }
     
     public void execute(boolean exitOnFinish) {
-        super.execute(exitOnFinish);
         Processor processor = new JavaToJSProcessor();
         try {
             super.execute(exitOnFinish);

Modified: incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java?rev=603851&r1=603850&r2=603851&view=diff
==============================================================================
--- incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java (original)
+++ incubator/cxf/trunk/tools/javato/ws/src/main/java/org/apache/cxf/tools/java2ws/JavaToWSContainer.java Thu Dec 13 00:17:27 2007
@@ -45,10 +45,10 @@
     }
 
     public void execute(boolean exitOnFinish) throws ToolException {
-        ErrorVisitor errors = new ErrorVisitor();
+        //ErrorVisitor errors = new ErrorVisitor();
         try {
             super.execute(exitOnFinish);
-            checkParams(errors);
+            //checkParams(errors);
             if (!hasInfoOption()) {
                 ToolContext env = new ToolContext();
                 env.setParameters(getParametersMap(new HashSet()));